Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ManagedReference

    java.lang.Object
      org.codehaus.groovy.util.ManagedReference

All Implemented Interfaces:
  Finalizable

    public class ManagedReference
    extends java.lang.Object

Authors:
  Alex Tkachman
  Jochen Theodorou

Constructor Summary
`ManagedReference(ReferenceType type, ReferenceManager rmanager, java.lang.Object value)`
`ManagedReference(ReferenceBundle bundle, java.lang.Object value)`

Method Summary
`void` | `clear()`
`void` | `finalizeReference()`
`java.lang.Object` | `get()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ManagedReference

    public ManagedReference(ReferenceType type, ReferenceManager rmanager, java.lang.Object value)

### ManagedReference

    public ManagedReference(ReferenceBundle bundle, java.lang.Object value)

Method Detail

### clear

    public final void clear()

### finalizeReference

    public void finalizeReference()

### get

    public final java.lang.Object get()

Groovy Documentation